d-shlibs (0.84endless1) UNRELEASED; urgency=low

  * Merge from Debian buster.

 -- Merge-o-Matic <mom@endlessm.com>  Wed, 16 Jan 2019 00:45:52 -0800

d-shlibs (0.84) unstable; urgency=medium

  * Add quirk for libsvm3-dev
    Closes: #918251
  * Enable using d-shlibs also for non-free/libs
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 14:07:12 +0100

d-shlibs (0.83endless1) UNRELEASED; urgency=low

  * Merge from Debian buster.

 -- Merge-o-Matic <mom@endlessm.com>  Tue, 25 Dec 2018 00:50:42 -0800

d-shlibs (0.83) unstable; urgency=medium

  [ Andreas Tille ]
  * Extend quirk for htslib to cover any single-digit API.

  [ Ondřej Nový ]
  * Update copyright info: Use https protocol in Format field.
  * Strip trailing whitespaces in changelog file.

  [ Jonas Smedegaard ]
  * Acknowledge NMU.
    Thanks to Alexander Volkov, Simon McVittie, and Niels Thykier.
  * Simplify calls to apt-cache
    (reverting obsolete workaround for bug#630591).
    Closes: Bug#636919, #916856. Thanks to Лухнов Андрей Олегович.
  * Relax quirk for libavahi* to cover stretch.
    Closes: Bug#915665. Thanks to Peter Holmberg.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Use short-form dh sequencer.
      Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Strip superfluous copyright signs.
    + Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Dec 2018 19:25:29 +0100

d-shlibs (0.82+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Alexander Volkov ]
  * Make shellcheck build-dependency optional as it is a test-only
    build-dependency.  Furthermore, ensure that tests are not run
    under "DEB_BUILD_OPTIONS=nocheck".

  [ Simon McVittie ]
  * Add quirk for libfribidi-dev.  (Closes: #901771)
  * Fix parsing of "--".
  * Fix shell-check warnings.  (Closes: #897539)

  [ Niels Thykier ]
  * Set Rules-Requires-Root to no as d-shlibs do not need (fake)root
    for building .debs.

 -- Niels Thykier <niels@thykier.net>  Tue, 07 Aug 2018 11:01:54 +0000

d-shlibs (0.82) unstable; urgency=medium

  * Fix quirk for libbpp-*-dev
  * Add quirk for libQt5* (needed in libbpp-qt-dev)
  * Moved packaging from Alioth to Salsa
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 22 Mar 2018 10:08:24 +0100

d-shlibs (0.81) unstable; urgency=medium

  * Use mktemp (not tempfile, deperecated according to shellcheck).
    Closes: Bug#867580. Thanks to Adrian Bunk.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jul 2017 17:23:24 +0200

d-shlibs (0.80) unstable; urgency=medium

  [ Andreas Tille ]
  * Add quirks for libdcmtk (libdcm.* libof) libjsoncpp libpvm libcblas
    libblas liblapack libbpp libglpk libmbedtls libhdf.
  * Extend quirks for libgcc (libquadmath) libqt4 (libQTGui4) libicu.

  [ Jonas Smedegaard ]
  * Extend ld quirk.
    Thanks to Adrian Bunk.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jun 2017 19:57:47 +0200

d-shlibs (0.79endless1) eos; urgency=medium

  * Makefile, debian/rules, debian/control:
    Drop usage of shellcheck, Haskell is not available in Endless

 -- Daniel Drake <drake@endlessm.com>  Tue, 25 Jul 2017 12:28:48 +0100

d-shlibs (0.79) unstable; urgency=medium

  * Add libraptor2 quirk.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Jan 2017 12:11:52 +0100

d-shlibs (0.78) unstable; urgency=medium

  * Add quirks for libgif libfontforge (libgioftp libgunicode libgutils)
    libopus libpython libreadline libspiro libuninameslist
    libvo-amrwbenc.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Nov 2016 11:32:12 +0100

d-shlibs (0.77) unstable; urgency=medium

  * Fix override for libprotobuf-dev

 -- Andreas Tille <tille@debian.org>  Mon, 05 Sep 2016 08:34:29 +0200

d-shlibs (0.76) unstable; urgency=medium

  [ Andreas Tille ]
  * Add override for libf2c2-dev

  [ Jonas Smedegaard ]
  * Fix use "read -r". Closes: Bug#835699.
    Thanks to shellcheck and Lucas Nussbaum.
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Aug 2016 11:48:17 +0200

d-shlibs (0.75) unstable; urgency=medium

  * Fix boost quirk for libraries with underscore/hyphen.
  * Extend ld quirk to cover ppc64el, ppc64, s390x and kfreebsd-amd64.
    Thanks to Christian Seiler and Andreas Tille.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jun 2016 17:06:40 +0200

d-shlibs (0.74) unstable; urgency=medium

  * Adjust resolv quirk to cover libresolv2.1 (seen on alpha).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2016 14:47:49 +0200

d-shlibs (0.73) unstable; urgency=medium

  * Fix exosip and ucommon quirks.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 12:59:44 +0200

d-shlibs (0.72) unstable; urgency=medium

  * Add libexosip and libosib quirks.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 10:21:55 +0200

d-shlibs (0.71) unstable; urgency=medium

  * Update libav*/postproc/swresample/swscale (a.k.a. ffmpeg) quirk.
    Closes: Bug#821422. Thanks to Sebastian Ramacher.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Apr 2016 18:58:34 +0200

d-shlibs (0.70) unstable; urgency=medium

  * Add graphviz quirk. Thanks to Héctor Orón.
  * Add Genome MUSCLE hts quirks.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Apr 2016 13:36:51 +0200

d-shlibs (0.69) unstable; urgency=medium

  * Fix tidy pthread quirk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Apr 2016 22:03:02 +0200

d-shlibs (0.68) unstable; urgency=medium

  * Add av*/swscale anl curl4-openssl ctpp2 editorconfig gmp re rem ls
    opencore-amr* pjproject portaudio pugixml sdl2 secp256k1 sipwitch
    speexdsp srtp v4l quirks.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Apr 2016 16:41:36 +0200

d-shlibs (0.67) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload. (collab-maint)
  * Update quirk for libpng16 -- dev package have been renamed to just
    libpng-dev. (Closes: #810095)

  [ Vasudev Kamath ]
  * Fix the Vcs-Git URL to point to right repository path.
  * Change my email address in Uploaders field.

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Apr 2016 16:12:43 +0200

d-shlibs (0.66) unstable; urgency=medium

  * Revert bogus gnutls2 support (tricked by broken local regex).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Feb 2016 17:43:48 +0100

d-shlibs (0.65) unstable; urgency=medium

  * Extend quirk for GnuTLS to cover gnutls2.
  * Modernize Vcs-* fields: Use https protocol.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Feb 2016 17:29:30 +0100

d-shlibs (0.64) unstable; urgency=medium

  * Fix quirk for GnuTLS.
    Closes: bug#812508. Thanks to Andreas Metzler and Peter Green.
  * Declare compliance with Debian Policy 3.9.7.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Feb 2016 12:53:58 +0100

d-shlibs (0.63) unstable; urgency=medium

  * Extend quirk for GnuTLS.
    Closes: bug#812508. Thanks to Andreas Metzler.
  * Add quirk for libatomic1.
    Closes: bug#808585. Thanks to Frederic Bonnard.
  * Add quirk for libpng16.
    Closes: bug#810095. Thanks to Tobias Frost.
  * Fix sort locale-independently.
    Closes: bug#796330. Thanks to Reiner Herrmann.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2016 00:45:22 +0530

d-shlibs (0.62) unstable; urgency=medium

  * Fix use array variables to collect multiple values.
    Closes: Bug#794684. Thanks to Iain Lane.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Aug 2015 20:41:43 +0200

d-shlibs (0.61) unstable; urgency=medium

  * Add --v5 option for transitional suffix.
    Closes: bug#794561. Thanks to Matthias Klose.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Aug 2015 15:55:09 +0200

d-shlibs (0.60) unstable; urgency=medium

  * Tighten code: Now passes shellcheck.
  * Use host-specific objdump, and mark package as Multi-Arch: foreign.
    Thanks to Helmut Grohne.
  * Bump debhelper compatibility level to 9.
  * Build-depend on ${misc:Pre-Depends}.
  * Fix lintian overrides.
  * Override lintian regarding build-depending unversioned on debhelper.
  * Run shellcheck as regression test.  Build-depend on shellcheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Aug 2015 01:29:58 +0200

d-shlibs (0.59) unstable; urgency=medium

  * Add quirks for Cairo, Gconf2, GDK3/GTK3 and RSVG.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-* fields to use canonical URLs and cgit web frontend.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jun 2015 16:30:43 -0500

d-shlibs (0.58) unstable; urgency=medium

  * Add quirk for Trio.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Aug 2014 13:03:56 +0200

d-shlibs (0.57) unstable; urgency=medium

  * Add quirks for Boost and LevelDB.
  * Add quirk for GnuTLS 2.8.
    Closes: bug#753161. Thanks to Andreas Metzler.
  * Add quirk for ld-linux-aarch64-1-dev.
    Closes: bug#742045. Thanks to Colin Watson.
  * Tidy whitespace. Closes: bug#670721.
    Thanks to Héctor Orón.
  * Add quirk for libQtCore4-dev.
    Closes: bug#675500. Thanks to Andreas Tille.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 20:02:28 +0200

d-shlibs (0.56) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix avoid bogusly move same file twice.
  * Add quirks for libpopt-dev, libprotobuf-dev and libgomp1-dev.
    Closes: bug#734601.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2014 15:45:36 +0200

d-shlibs (0.55) unstable; urgency=medium

  * Extend GD quirk to cover libgd3.
    Thanks to Colin watson, see bug#709040.
  * Bump Standards-Version to 3.9.5: Packaging is compliant with
    corresponding version of Debian Policy.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2014 15:37:30 +0200

d-shlibs (0.54) unstable; urgency=low

  [ Andreas Tille ]
  * Fix avoid infinite loop in d-devlibdeps, handling unknown options.
    Closes: bug#718994.
  * Add quirks for libbz2-1.0-dev and libcurl-gnutls4-dev.

  [ Vasudev Kamath ]
  * Generalize quirk for libc, to cover more archs and platforms.
    Thanks to Aaron M. Ucko.
  * Depend on apt: It is of priority important (not core).
    Thanks to Aaron M. Ucko.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2013 18:02:48 +0200

d-shlibs (0.53) unstable; urgency=low

  [ Vasudev Kamath ]
  * Add quirk for liblzma5-dev
  * Add myself to uploaders.
  * If soname or library name contains "_" replace it with "-" in
    d-shlibmove, "_" is not a valid character in package name as per
    Debian policy.
    Closes: bug#712818.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Update copyright file:
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Merge Files sections: We are upstream so no sense dividing.
  * Drop README.Debian: Contained only obsolete info.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Bump standards-version to 3.9.4.
  * Rewrap long description at 72 chars, and strip trailing whitespace.
  * Bump debhelper compatibility to 8.
  * Fix adjust double copyright paragraph in copyright file.
  * List issue tracker as preferred contact.
  * Add git URL as alternate source.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2013 18:14:26 +0200

d-shlibs (0.52) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update copyrigth file: Fix add Files: hint to first Files section.

  [ Hector Oron ]
  * Update dynamic linker override to also match armhf linker
    (/lib/ld-linux-armhf.so.3). (Closes: #670720)
  * Add myself to uploaders.

 -- Hector Oron <zumbi@debian.org>  Sun, 29 Apr 2012 13:16:49 +0200

d-shlibs (0.51) unstable; urgency=low

  * Fix always respect --exlude-la for --extralib (no matter order of
    arguments).
  * Implement options --include-a and --exclude-a, the former being
    default. Thanks to Jérémy Lal.
  * Add quirks for libicu-dev and libv8-dev.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org URL in Vcs-Browser field.
  * Update copyright file:
    + Bump format to 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Mar 2012 19:47:54 +0200

d-shlibs (0.50) unstable; urgency=low

  * Document in d-shlibmove(1) at which version the options --multiarch
    --include-la and --exclude-la was introduced.
  * Bump debhelper compat level to 7.
  * Enable copyright-checking and buildinfo inclusion.
    Tighten build-dependency on cdbs.
    Build-depend on devscripts and dh-buildinfo.
  * Update copyright file:
    + Fix use Comment section.
    + Fix File path syntax.
    + Extend copyright years for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 17:39:43 +0100

d-shlibs (0.49) unstable; urgency=low

  * Add quirk for libc6-dev.
    Closes: Bug#651627. Thanks to Torquil Macdonald Sørensen.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Dec 2011 12:33:40 +0700

d-shlibs (0.48) unstable; urgency=low

  * Add quirks:
    + liblcms2-dev
    + ld1-dev
      Closes: bug#645471. Thanks to Thorsten Glaser and Samuel Thibault.
    + libtinfo5-dev
      Closes: bug#646226. Thanks to Sven Joachim.
    + ld-linux2-dev
      Closes: bug#632805. Thanks to Nobuhiro Iwamatsu.
  * Update package relations:
    + Relax build-depend unversioned on debhelper (needed version
      satisfied even in oldstable).
  * Add --multiarch option.
    Closes: bug#637799. Thanks to Jon Severinsson.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Nov 2011 23:35:37 +0700

d-shlibs (0.47) unstable; urgency=low

  * Fix typo in armel-specific ld-linux3-dev suppression.
    Closes: bug#633933. Thanks to Jani Monoses.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2011 13:25:42 +0200

d-shlibs (0.46) unstable; urgency=low

  * Tighten sorting order of quirks:
    + Uppercase before lowercase.
    + Wildcards and groups before explicits.
    Closes: bug#631578. Thanks to Samuel Thibault.
  * Add quirks for libucommon5-dev and libusecure5-dev.
  * Invoke apt-cache with --no-generate option to avoid APT/fakeroot
    bug#630591.
  * fix exclude .la files for extralibs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jul 2011 16:15:10 +0200

d-shlibs (0.45) unstable; urgency=low

  * Update quirks:
    + Drop obsolete fallbacks on old xlibs-dev.
    + Replace simplistic reording workaround from 0.44+nmu1 with proper
      fix: Narrow libX* wildcard to cover only lowercase chars (not
      digits, to not steal different libX11-6-dev quirk), and drop
      subsequent quirks covered by the wildcard.
      Closes: bug#581318, thanks to Lucas Nussbaum and Sebastian Andrzej
      Siewior.
    + Add libjpeg-dev unversioning quirk. See bug#629967.
    + Add a bunch of quirks:
      - libav*
      - libavahi-*
      - libcelt
      - libdbus
      - libffado
      - libgnutls
      - libijs
      - libjackserver
      - libjasper
      - libpaper
      - libraw1394
      - libstdc++6*
      - libuuid
  * Silence optional build-dependencies to ease backporting.
  * Implement options --include-la and --exclude-la, the former being
    default for now.
    Closes: bug#543461. Thanks to Andreas Tille and Alessio Treglia.
  * Extend copyright years.
  * Update copyright file:
    + Bump format to draft 174 of DEP-5.
    + Extend a copyright year.
    + Quote license names in License field comments, and rewrap at 72
      chars.
  * Update control file:
    + Bump policy compliance to standards-version 3.9.2.
    + Shorten Vcs-* URLs.
  * Fix drop tests.log from source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Jun 2011 03:25:19 +0200

d-shlibs (0.44+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch to fix FTBFS of packages that depend on libx11-dev.
    Closes: bug#581318, bug#584396, thanks to Sebastian Andrzej Siewior.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 19 Jul 2010 01:16:20 +0200

d-shlibs (0.44) unstable; urgency=low

  * Apply overrides before hardcoded quirks (in addition to afterwards
    for backwards compatibility).
    Thanks to Nobuhiro Iwamatsu (see bug#374049).
  * Fix libstdc++6-dev quirk: Silence (not expand). Default is build-
    essential, and non-default variants are pulled in by related g++-*.
    Closes: bug#374049, thanks especially to Junichi.
  * Sort quirks, strip duplicate gdk-x11-2.0-0-dev, and escape dots.
  * Use dpkg source format 3.0 (native).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Apr 2010 17:20:39 +0200

d-shlibs (0.43) unstable; urgency=low

  * Implement option --devunversioned. Closes: bug#530368.
  * Implement option --ignorelibdep. Closes: bug#530367.
  * Support control file fields spanning multiple lines. Closes:
    bug#573396.
  * Maintained using Git: Add Vcs-* stanzas.
  * Repackage using CDBS. Build-depend on cdbs.
  * Set debhelper compat level to 6. Build-depend tightened to that
    version.
  * Stop depending on debianutils or apt: essential and required version
    of debianutils satisfied in oldstable.
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file to draft DEP5 rev. 135.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Mar 2010 05:46:08 +0100

d-shlibs (0.42) unstable; urgency=low

  * Friendly takeover. Closes: bug#566358, thanks for inventing this
    cool little tool, Junichi!

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Mar 2010 04:43:38 +0100

d-shlibs (0.41) unstable; urgency=low

  * glibc-2.10 on armel introduces new dynamic linker and breaks
    d-devlibdeps, thanks to Matthias Klose (Closes: #548626).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Sep 2009 23:26:36 +0900

d-shlibs (0.40) unstable; urgency=low

  * fix libgtkdatabox FTBFS: libgio and libpangoft2. (closes: #521975)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 31 Mar 2009 23:23:11 +0900

d-shlibs (0.39) unstable; urgency=low

  * Bug fix: "d-shlibs: Does not recognize libpthread-stubs0-dev", thanks
    to Michael Banck (Closes: #488791).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 24 Jul 2008 14:21:35 +0900

d-shlibs (0.38) unstable; urgency=low

  * really fix upper-case filename libraries.
  - add a testsuite item for this.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 28 Feb 2008 08:17:08 +0900

d-shlibs (0.37) unstable; urgency=low

  * Bug fix: "d-shlibs: Please enable upper case file names of libraries",
    thanks to Andreas Tille (Closes: #467622).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Feb 2008 08:56:21 +0900

d-shlibs (0.36) unstable; urgency=low

  * Add Depends on apt (Closes: #447297).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 22 Oct 2007 08:04:11 +0900

d-shlibs (0.35) unstable; urgency=low

  * Bug fix: "d-shlibs: Override needed for libgd2-dev", thanks to Luis
    Rodrigo Gallardo Cruz (Closes: #440728).
  * add -ldbl option.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 04 Sep 2007 08:18:48 +0900

d-shlibs (0.34) unstable; urgency=low

  * set -o pipefail. (Closes: #432456).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 10 Jul 2007 08:10:58 +0900

d-shlibs (0.33) unstable; urgency=low

  * Bug fix: "[m68k] d-shlibs vs. libgcc_s2-dev", thanks to Stephen R
    Marenka (Closes: #428870).
  * Bug fix: "libstdc++6-dev->libstdc++6-4.1-dev"
    thanks to Riku Voipio (Closes: #430994).
  * document exit codes for d-devlibdeps.
  * change dry-run exit code to 2, different from normal error.
  * add simple testsuite

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Jun 2007 08:07:58 +0900

d-shlibs (0.32) unstable; urgency=low

  * d-shlibs: Support needed for libxml2-2-dev -&gt; libxml2-dev
    (closes: #416533)
  * d-shlibs: Support needed for libgthread-2.0-0-dev -&gt; libglib2.0-dev
    (closes: #416545)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 29 Mar 2007 08:44:22 +0900

d-shlibs (0.31) unstable; urgency=low

  * support for newer gtk/glib situation (Closes: #381129).

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Aug 2006 08:37:13 +0900

d-shlibs (0.30) unstable; urgency=low

  * support --override option for devlibdeps (closes: #374095)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 31 Jul 2006 23:16:30 +0900

d-shlibs (0.29) unstable; urgency=low

  * Bug fix: "d-shlibs: Support needed for libspeex1-dev -&gt;
    libspeex-dev", thanks to dr@jones.dk (Closes: #378331).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 28 Jul 2006 22:14:34 +0900

d-shlibs (0.28) unstable; urgency=low

  * support Hurd pthreads. (closes: #344713)
  * Standards-Version: 3.7.2
  * dh-compat: 4

 -- Junichi Uekawa <dancer@debian.org>  Sat,  1 Jul 2006 14:04:23 +0900

d-shlibs (0.27) unstable; urgency=low

  * Added override for librt1-dev. Thanks to Max Hofer. (closes: #325416)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Aug 2005 08:35:02 +0900

d-shlibs (0.26) unstable; urgency=low

  * Check for objdump -p failure status, to check for error case when library
    is not where it should be. (closes: #306341)
  * Standards-Version: 3.6.2

 -- Junichi Uekawa <dancer@debian.org>  Sun, 21 Aug 2005 14:00:02 +0900

d-shlibs (0.25) unstable; urgency=low

  * Remove dancer@mikilab.doshisha.ac.jp from mail address, it's not longer valid.
  * Bug fix: "libshout: FTBFS: d-shlibmove reports problem with
    libogg0-dev", thanks to Roland Stigge (Closes: #302871).
  - libogg0-dev -> libogg-dev

 -- Junichi Uekawa <dancer@debian.org>  Mon,  4 Apr 2005 08:37:52 +0900

d-shlibs (0.24) unstable; urgency=low

  * d-shlibs: Fixes for recent X11 libs (closes: 273116)
  * d-shlibs: Fixes for libc6 (needed for netatalk with krb5 support)
    above two patches thanks to Jonas Smedegaard <dr@jones.dk>
     (closes: 273320)
  * "Fixes for kfreebsd-gnu", thanks to Robert Millan (Closes:
    #268272).

 -- Junichi Uekawa <dancer@debian.org>  Sat,  2 Oct 2004 15:29:52 +0900

d-shlibs (0.23) unstable; urgency=low

  * Add libcrypt/nsl for alpha overrides.
  * Bug fix: "devlibs error: There is no package matching
    [libcrypt1.1-dev] and noone provides it", thanks to Falk Hueffner
    (Closes: #265927).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 17 Aug 2004 00:25:33 +0900

d-shlibs (0.22) unstable; urgency=low

  * libvorbis-dev and libtheora-dev overrides. (closes: #264556)

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Aug 2004 22:57:40 +0900

d-shlibs (0.21) unstable; urgency=low

  * libkrb.so.1 -> kerberos4kth-dev (closes: #262163)

 -- Junichi Uekawa <dancer@debian.org>  Sun,  1 Aug 2004 15:27:48 +0900

d-shlibs (0.20) unstable; urgency=low

  * netatalk support from Jonas Smedegaard <dr@jones.dk>
    (Closes: #228030)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 16 Jan 2004 22:26:06 +0900

d-shlibs (0.19) unstable; urgency=low

  * Bug fix: "d-shlibs: needlessly-depends-on-awk", thanks to Adrian Bunk
    (Closes: #216538).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  7 Nov 2003 07:37:15 +0900

d-shlibs (0.18) unstable; urgency=low

  * libvorbis-dev override, request from Keegan Quinn <ice@thebasement.org>
  (closes: #203274)
  * Standards-Version: 3.6.0

 -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Jul 2003 18:16:15 +0900

d-shlibs (0.17) unstable; urgency=low

  * libsdl1.2-dev override, request from Kalle Olavi Niemitalo
  (closes: #198253)

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Jul 2003 00:04:43 +0900

d-shlibs (0.16) unstable; urgency=low

  * libssl0.9.[67]->libssl-dev, per request from Andres Salomon
  (closes: #192472)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 11 May 2003 01:25:35 +0900

d-shlibs (0.15) unstable; urgency=low

  * Allow multiple library packages to be built from same source,
    validation will pass package names that are going to be built from
    the same source.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  5 Apr 2003 13:48:46 +0900

d-shlibs (0.14) unstable; urgency=low

  * Allow use of libdevel section for development libs.

 -- Junichi Uekawa <dancer@debian.org>  Wed,  2 Apr 2003 21:28:21 +0900

d-shlibs (0.13) unstable; urgency=low

  * Ack NMU for kerberos5 (closes: 184805)
  * Add override for libparted1.6-dev (closes: 186084)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Mar 2003 00:50:06 +0900

d-shlibs (0.12.1) unstable; urgency=low

  * NMU to recognize kerberos5 libraries.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Mar 2003 19:32:15 +0100

d-shlibs (0.12) unstable; urgency=low

  * support libcrypto, by Jonas Smedegaard <dr@jones.dk>
    (closes: #178716)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 30 Jan 2003 18:50:17 +0900

d-shlibs (0.11) unstable; urgency=low

  * Add error/sanity checking for unknown and nonexisting
  package names. (closes: #178220)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 27 Jan 2003 18:50:28 +0900

d-shlibs (0.10) unstable; urgency=low

  * Add override for libgcc_s1-dev
  Thanks James Troup, and yes, DWIM tools are a bit silly.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 24 Jan 2003 12:22:13 +0900

d-shlibs (0.9) unstable; urgency=low

  * Fix for libpam and e2fsprogs from Jonas Smedegaard <dr@jones.dk>
  (closes: #177342)
  * Document NMU policy for this package.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 20 Jan 2003 11:54:20 +0900

d-shlibs (0.8) unstable; urgency=low

  * C++ abi transition, support --c102 option, to add
  c102 to end of library package.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 11 Jan 2003 00:10:51 +0900

d-shlibs (0.7) unstable; urgency=low

  * libc-dev dependency is not really required, because libc6-dev dependency etc. should
    already be there. (closes: #171303)
    thanks: Jonas Smedegaard <dr@jones.dk>
  * fix debian/copyright slightly
  * Standards-Version: 3.5.8

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Dec 2002 13:48:40 +0900

d-shlibs (0.6) unstable; urgency=low

  * Fix devlibdeps which has emit libXpm4-dev
  (closes: #170579)
  thanks: Jonas Smedegaard <dr@jones.dk>

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Nov 2002 16:32:27 +0900

d-shlibs (0.5) unstable; urgency=low

  * Update d-shlibmove.1 page to document which version a specific option
  was introduced.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 22 Oct 2002 14:12:49 +0900

d-shlibs (0.4) unstable; urgency=low

  * add support for --movedevdoc option.
  * standards-version 3.5.7

 -- Junichi Uekawa <dancer@debian.org>  Thu, 10 Oct 2002 14:58:04 +0900

d-shlibs (0.3) unstable; urgency=low

  * add support for --suffix option.
  * add support for --shlibs-local option.
  * add hacks for alpha libc. (closes: #159020)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Aug 2002 21:44:22 +0900

d-shlibs (0.2) unstable; urgency=low

  * Do not fail if .la is not available.

 -- Junichi Uekawa <dancer@debian.org>  Thu,  8 Aug 2002 10:32:46 +0900

d-shlibs (0.1) unstable; urgency=low

  * Initial Release. Close ITP: (closes: 145692)

 -- Junichi Uekawa <dancer@debian.org>  Tue,  7 May 2002 22:39:12 +0900

